#include <QCoreApplication>
#include <QDebug>
#include <QTime>
#include "qtempmax.h"

#define N 3

void delay( int millisecondsToWait )
{
    QTime dieTime = QTime::currentTime().addMSecs( millisecondsToWait );
    while( QTime::currentTime() < dieTime )
    {
        QCoreApplication::processEvents( QEventLoop::AllEvents, 100 );
    }
}

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    QTempMax fil1(0,1),fil2(0,2),fil3(0,3);

    fil1.start();
    fil2.start();
    fil3.start();

    delay(5000);

    fil1.vAturaFils();
    fil2.vAturaFils();
    fil3.vAturaFils();

    fil1.wait();
    fil2.wait();
    fil3.wait();

    return 0;
    //return a.exec();
}
